> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/bmc/elastic-ip/reneweipaddress.md).

# RenewEipAddress

## 1. 接口描述

本接口(RenewEipAddress)用于本接口用于续费一个EIP。

{% hint style="info" %}
**注意事项**

* 续费时请确保账户余额充足。可通过`DescribeAccountBalance`接口查询账户余额。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称  | 必选 | 类型     | 描述                                                            |
| ----- | -- | ------ | ------------------------------------------------------------- |
| eipId | 是  | String | <p>一个EIP ID。</p><p>可通过DescribeEipAddresses接口返回值中的eipId获取。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 续费指定ID的EIP** POST /api/v2/bmc HTTP/1.1 Host: console.zenlayer.com Content-Type: application/json X-ZC-Action: RenewEipAddress Request： { "eipId": "eipId1" } Response： { "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3", "response": { "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3" } }
{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                      | 说明         |
| ------- | ------------------------ | ---------- |
| 404     | INVALID\_EIP\_NOT\_FOUND | 指定的EIP不存在。 |
